/*
 *  A potentiometer connected to the Arduino pin A0 allows the user to change the color 
 *  of a square gradually from orange to green and vice versa.
 *
 *  This example uses the Stadard Firmata installed on the Arduino board
 *  Tested with Processing 2.0b8
 *
 *   copyleft, 2011: Fabian Winkler
 */


import cc.arduino.*;
import processing.serial.*; 
 
Arduino arduino; 
int color_val;

 
void setup() { 
  size(400, 400); 
  noStroke(); 
  println(Arduino.list());    
  arduino = new Arduino(this, Arduino.list()[0], 57600);   
} 
 
void draw() { 
  color_val = arduino.analogRead(0)/4; // we only need values from 0 - 255
  
  background(204);
  //from green to orange:
  fill(color_val, 127, 0);
 
  rect(50, 50, 300, 300); 
} 
